/*******************************************************************************
*	Figure 2.3: In low/income countries, women and infants lacked critical 
	services during the early pandemic period
*******************************************************************************/

/*
*Created: July 15, 2022 
*Vaccines information management 
*Dataset downloaded on Jul 15 2022 // https://data.unicef.org/topic/child-health/immunization/
*This format is different from 2020. Here each tab is a vaccine and the format is wide, not long. So we import each vaccine.
*/


*Load data
import excel "${dt_Other}/Raw/wuenic2021rev_web-update.xlsx", sheet("DTP3") firstrow  clear
rename *, lower


*Create the WB regions indicator
gen isocountrycode = lower(iso3)
gen wbregion=""
*SSA
replace wbregion="ssa" if isocountrycode=="ago"
replace wbregion="ssa" if isocountrycode=="bdi"
replace wbregion="ssa" if isocountrycode=="ben"
replace wbregion="ssa" if isocountrycode=="bfa"
replace wbregion="ssa" if isocountrycode=="bwa"
replace wbregion="ssa" if isocountrycode=="caf"
replace wbregion="ssa" if isocountrycode=="civ"
replace wbregion="ssa" if isocountrycode=="cmr"
replace wbregion="ssa" if isocountrycode=="cod"
replace wbregion="ssa" if isocountrycode=="cog"
replace wbregion="ssa" if isocountrycode=="com"
replace wbregion="ssa" if isocountrycode=="cpv"
replace wbregion="ssa" if isocountrycode=="eri"
replace wbregion="ssa" if isocountrycode=="eth"
replace wbregion="ssa" if isocountrycode=="gab"
replace wbregion="ssa" if isocountrycode=="gha"
replace wbregion="ssa" if isocountrycode=="gin"
replace wbregion="ssa" if isocountrycode=="gmb"
replace wbregion="ssa" if isocountrycode=="gnb"
replace wbregion="ssa" if isocountrycode=="gnq"
replace wbregion="ssa" if isocountrycode=="ken"
replace wbregion="ssa" if isocountrycode=="lbr"
replace wbregion="ssa" if isocountrycode=="lso"
replace wbregion="ssa" if isocountrycode=="mdg"
replace wbregion="ssa" if isocountrycode=="mli"
replace wbregion="ssa" if isocountrycode=="moz"
replace wbregion="ssa" if isocountrycode=="mrt"
replace wbregion="ssa" if isocountrycode=="mus"
replace wbregion="ssa" if isocountrycode=="mwi"
replace wbregion="ssa" if isocountrycode=="nam"
replace wbregion="ssa" if isocountrycode=="ner"
replace wbregion="ssa" if isocountrycode=="nga"
replace wbregion="ssa" if isocountrycode=="rwa"
replace wbregion="ssa" if isocountrycode=="sdn"
replace wbregion="ssa" if isocountrycode=="sen"
replace wbregion="ssa" if isocountrycode=="sle"
replace wbregion="ssa" if isocountrycode=="som"
replace wbregion="ssa" if isocountrycode=="ssd"
replace wbregion="ssa" if isocountrycode=="stp"
replace wbregion="ssa" if isocountrycode=="swz"
replace wbregion="ssa" if isocountrycode=="syc"
replace wbregion="ssa" if isocountrycode=="tcd"
replace wbregion="ssa" if isocountrycode=="tgo"
replace wbregion="ssa" if isocountrycode=="tza"
replace wbregion="ssa" if isocountrycode=="uga"
replace wbregion="ssa" if isocountrycode=="zaf"
replace wbregion="ssa" if isocountrycode=="zmb"
replace wbregion="ssa" if isocountrycode=="zwe"
*MENA
replace wbregion="mena" if isocountrycode=="are"
replace wbregion="mena" if isocountrycode=="bhr"
replace wbregion="mena" if isocountrycode=="dji"
replace wbregion="mena" if isocountrycode=="dza"
replace wbregion="mena" if isocountrycode=="egy"
replace wbregion="mena" if isocountrycode=="irn"
replace wbregion="mena" if isocountrycode=="irq"
replace wbregion="mena" if isocountrycode=="isr"
replace wbregion="mena" if isocountrycode=="jor"
replace wbregion="mena" if isocountrycode=="kwt"
replace wbregion="mena" if isocountrycode=="lbn"
replace wbregion="mena" if isocountrycode=="lby"
replace wbregion="mena" if isocountrycode=="mar"
replace wbregion="mena" if isocountrycode=="mlt"
replace wbregion="mena" if isocountrycode=="omn"
replace wbregion="mena" if isocountrycode=="pse"
replace wbregion="mena" if isocountrycode=="qat"
replace wbregion="mena" if isocountrycode=="sau"
replace wbregion="mena" if isocountrycode=="syr"
replace wbregion="mena" if isocountrycode=="tun"
replace wbregion="mena" if isocountrycode=="yem"
*EAP 
replace wbregion="eap" if isocountrycode=="asm"
replace wbregion="eap" if isocountrycode=="aus"
replace wbregion="eap" if isocountrycode=="brn"
replace wbregion="eap" if isocountrycode=="chn"
replace wbregion="eap" if isocountrycode=="fji"
replace wbregion="eap" if isocountrycode=="fsm"
replace wbregion="eap" if isocountrycode=="gum"
replace wbregion="eap" if isocountrycode=="hkg"
replace wbregion="eap" if isocountrycode=="idn"
replace wbregion="eap" if isocountrycode=="jpn"
replace wbregion="eap" if isocountrycode=="khm"
replace wbregion="eap" if isocountrycode=="kir"
replace wbregion="eap" if isocountrycode=="kor"
replace wbregion="eap" if isocountrycode=="lao"
replace wbregion="eap" if isocountrycode=="mac"
replace wbregion="eap" if isocountrycode=="mhl"
replace wbregion="eap" if isocountrycode=="mmr"
replace wbregion="eap" if isocountrycode=="mng"
replace wbregion="eap" if isocountrycode=="mnp"
replace wbregion="eap" if isocountrycode=="mys"
replace wbregion="eap" if isocountrycode=="ncl"
replace wbregion="eap" if isocountrycode=="nru"
replace wbregion="eap" if isocountrycode=="nzl"
replace wbregion="eap" if isocountrycode=="phl"
replace wbregion="eap" if isocountrycode=="plw"
replace wbregion="eap" if isocountrycode=="png"
replace wbregion="eap" if isocountrycode=="prk"
replace wbregion="eap" if isocountrycode=="pyf"
replace wbregion="eap" if isocountrycode=="sgp"
replace wbregion="eap" if isocountrycode=="slb"
replace wbregion="eap" if isocountrycode=="tha"
replace wbregion="eap" if isocountrycode=="tls"
replace wbregion="eap" if isocountrycode=="ton"
replace wbregion="eap" if isocountrycode=="tuv"
replace wbregion="eap" if isocountrycode=="twn"
replace wbregion="eap" if isocountrycode=="vnm"
replace wbregion="eap" if isocountrycode=="vut"
replace wbregion="eap" if isocountrycode=="wsm"
replace wbregion="eap" if isocountrycode=="niu" 

*SA
replace wbregion="sa" if isocountrycode=="afg"
replace wbregion="sa" if isocountrycode=="bgd"
replace wbregion="sa" if isocountrycode=="btn"
replace wbregion="sa" if isocountrycode=="ind"
replace wbregion="sa" if isocountrycode=="lka"
replace wbregion="sa" if isocountrycode=="mdv"
replace wbregion="sa" if isocountrycode=="npl"
replace wbregion="sa" if isocountrycode=="pak"
*LAC
replace wbregion="lac" if isocountrycode=="abw"
replace wbregion="lac" if isocountrycode=="arg"
replace wbregion="lac" if isocountrycode=="atg"
replace wbregion="lac" if isocountrycode=="bhs"
replace wbregion="lac" if isocountrycode=="blz"
replace wbregion="lac" if isocountrycode=="bol"
replace wbregion="lac" if isocountrycode=="bra"
replace wbregion="lac" if isocountrycode=="brb"
replace wbregion="lac" if isocountrycode=="chl"
replace wbregion="lac" if isocountrycode=="col"
replace wbregion="lac" if isocountrycode=="cri"
replace wbregion="lac" if isocountrycode=="cub"
replace wbregion="lac" if isocountrycode=="cuw"
replace wbregion="lac" if isocountrycode=="cym"
replace wbregion="lac" if isocountrycode=="dma"
replace wbregion="lac" if isocountrycode=="dom"
replace wbregion="lac" if isocountrycode=="ecu"
replace wbregion="lac" if isocountrycode=="grd"
replace wbregion="lac" if isocountrycode=="gtm"
replace wbregion="lac" if isocountrycode=="guy"
replace wbregion="lac" if isocountrycode=="hnd"
replace wbregion="lac" if isocountrycode=="hti"
replace wbregion="lac" if isocountrycode=="jam"
replace wbregion="lac" if isocountrycode=="kna"
replace wbregion="lac" if isocountrycode=="lca"
replace wbregion="lac" if isocountrycode=="maf"
replace wbregion="lac" if isocountrycode=="mex"
replace wbregion="lac" if isocountrycode=="nic"
replace wbregion="lac" if isocountrycode=="pan"
replace wbregion="lac" if isocountrycode=="per"
replace wbregion="lac" if isocountrycode=="pri"
replace wbregion="lac" if isocountrycode=="pry"
replace wbregion="lac" if isocountrycode=="slv"
replace wbregion="lac" if isocountrycode=="sur"
replace wbregion="lac" if isocountrycode=="sxm"
replace wbregion="lac" if isocountrycode=="tca"
replace wbregion="lac" if isocountrycode=="tto"
replace wbregion="lac" if isocountrycode=="ury"
replace wbregion="lac" if isocountrycode=="vct"
replace wbregion="lac" if isocountrycode=="ven"
replace wbregion="lac" if isocountrycode=="vgb"
replace wbregion="lac" if isocountrycode=="vir"
*ECA
replace wbregion="eca" if isocountrycode=="alb"
replace wbregion="eca" if isocountrycode=="and"
replace wbregion="eca" if isocountrycode=="arm"
replace wbregion="eca" if isocountrycode=="aut"
replace wbregion="eca" if isocountrycode=="aze"
replace wbregion="eca" if isocountrycode=="bel"
replace wbregion="eca" if isocountrycode=="bgr"
replace wbregion="eca" if isocountrycode=="bih"
replace wbregion="eca" if isocountrycode=="blr"
replace wbregion="eca" if isocountrycode=="che"
replace wbregion="eca" if isocountrycode=="chi"
replace wbregion="eca" if isocountrycode=="cyp"
replace wbregion="eca" if isocountrycode=="cze"
replace wbregion="eca" if isocountrycode=="deu"
replace wbregion="eca" if isocountrycode=="dnk"
replace wbregion="eca" if isocountrycode=="esp"
replace wbregion="eca" if isocountrycode=="est"
replace wbregion="eca" if isocountrycode=="fin"
replace wbregion="eca" if isocountrycode=="fra"
replace wbregion="eca" if isocountrycode=="fro"
replace wbregion="eca" if isocountrycode=="gbr"
replace wbregion="eca" if isocountrycode=="geo"
replace wbregion="eca" if isocountrycode=="gib"
replace wbregion="eca" if isocountrycode=="grc"
replace wbregion="eca" if isocountrycode=="grl"
replace wbregion="eca" if isocountrycode=="hrv"
replace wbregion="eca" if isocountrycode=="hun"
replace wbregion="eca" if isocountrycode=="imn"
replace wbregion="eca" if isocountrycode=="irl"
replace wbregion="eca" if isocountrycode=="isl"
replace wbregion="eca" if isocountrycode=="ita"
replace wbregion="eca" if isocountrycode=="kaz"
replace wbregion="eca" if isocountrycode=="kgz"
replace wbregion="eca" if isocountrycode=="lie"
replace wbregion="eca" if isocountrycode=="ltu"
replace wbregion="eca" if isocountrycode=="lux"
replace wbregion="eca" if isocountrycode=="lva"
replace wbregion="eca" if isocountrycode=="mco"
replace wbregion="eca" if isocountrycode=="mda"
replace wbregion="eca" if isocountrycode=="mkd"
replace wbregion="eca" if isocountrycode=="mne"
replace wbregion="eca" if isocountrycode=="nld"
replace wbregion="eca" if isocountrycode=="nor"
replace wbregion="eca" if isocountrycode=="pol"
replace wbregion="eca" if isocountrycode=="prt"
replace wbregion="eca" if isocountrycode=="rou"
replace wbregion="eca" if isocountrycode=="rus"
replace wbregion="eca" if isocountrycode=="smr"
replace wbregion="eca" if isocountrycode=="srb"
replace wbregion="eca" if isocountrycode=="svk"
replace wbregion="eca" if isocountrycode=="svn"
replace wbregion="eca" if isocountrycode=="swe"
replace wbregion="eca" if isocountrycode=="tjk"
replace wbregion="eca" if isocountrycode=="tkm"
replace wbregion="eca" if isocountrycode=="tur"
replace wbregion="eca" if isocountrycode=="ukr"
replace wbregion="eca" if isocountrycode=="uzb"
replace wbregion="eca" if isocountrycode=="xkx"

*Drop unneeded variables 

drop y2009 y2008 y2007 y2006 y2005 y2004 y2003 y2002 y2001 y2000 y1999 y1998 y1997 y1996 y1995 y1994 y1993 y1992 y1991 y1990 y1989 y1988 y1987 y1986 y1985 y1984 y1983 y1982 y1981 y1980 


*Regional means just for DPT3 
keep if vaccine=="DTP3"  
collapse (mean) y2021 y2020 y2019 y2018 y2017 y2016 y2015 y2014 y2013 y2012 y2011 y2010, by(wbregion vaccine)
drop if wbregion==""
replace wbregion= upper(wbregion)

*Organize the data 
order wbregion vaccine y2010 y2011 y2012 y2013 y2014 y2015 y2016 y2017 y2018 y2019 y2020 y2021 



*Or we can produce the graph in stata
reshape long y, i( wbregion vaccine) j(year)
 

tw	(line y year if wbregion=="EAP" & year>=2016)							 /*
*/  (line y year if wbregion=="ECA" & year>=2016)							 /*
*/  (line y year if wbregion=="MENA" & year>=2016)							 /*
*/  (line y year if wbregion=="LAC" & year>=2016)							 /*
*/  (line y year if wbregion=="SSA" & year>=2016)							 /*
*/  (line y year if wbregion=="SA" & year>=2016),							 /*
*/ ylabel(70(5)100) xlabel(2016(1)2021)										 /*
*/ legend(order(1 "East Asia and Pacific" 2 "Europe and Cental Africa"	 /*
*/ 3 "Middle East and North Africa" 4 "Latin America and the Caribbean"		 /*
*/ 5 "Sub-Saharan Africa" 6 "South Asia") size(small) pos(6) rows(2))


 	gr export "${out_ch2}/Ch2_Fig2_3.wmf", replace 

