/*******************************************************************************
*	Figure 2.4: Pre-primary attandance has not recovered from the pandmic in many countries
	* Margarita Isaacs
*******************************************************************************/
	
	use "${dt_ch2}/Enrollment Predictions.dta", replace 

	
global graph_options "graphregion(color(white) margin(vsmall)) xsize(7.5) ysize(3) "
global legend_options "region(lcolor(white) margin(medium))  symxsize(*.5) pos(6) size(medium) rows(1)"


* Date adjustments 
replace dateq = yq(year,1) if country == "Ethiopia" 
replace dateq = yq(year,1) if country == "Indonesia" 


label define dat 241 "2020:Q2" 242 "2020:Q3" 244 "2021:Q1" 246 "2021:Q3"  247 "2021:Q4" 248 "2021"
label values dateq dat
 
* Relevant countries 
gen panel = (country== "Argentina" | country== "Brazil" | country== "Colombia" | country== "Ethiopia"  | country== "Indonesia" | country== "Mexico"| country== "Pakistan" | country== "SouthAfrica" | country== "Uruguay" ) 


* School closures indicator based on UNESCO data
gen open = .
replace open = 1 if country== "Ethiopia" &  year == 2021 
replace open = 1  if country== "Pakistan" &  (dateq == yq(2021,1)  | dateq >= yq(2022,1) )
replace open = 1  if country== "Indonesia" &  dateq >= yq(2020,4) 
replace open = 1  if country== "SouthAfrica" &  dateq >= yq(2020,4) & dateq <= yq(2021,3) 
replace open = 1  if country== "Colombia" &  dateq >= yq(2021,1) & dateq <= yq(2022,1) 
replace open = 1  if country== "Brazil" &  dateq >= yq(2021,2) 
replace open = 1  if country== "Mexico" &  dateq >= yq(2021,4) 
replace open = 1  if country== "Argentina" &  dateq >= yq(2021,1) 
replace open = 1  if country== "Uruguay" &  dateq >= yq(2020,2) 

graph bar pp_d_enroll_5  if ( panel==1 & open ==1 ) ,  /*
	*/ over(country, label(labsize(medium) ) sort(order))								  /*
	*/ bar(1, color(${corange}))  bar(2, color($corange))					  /*
	*/ ylab( -18(3)10, labsize(medium) nogrid) nofill 						  /*
	*/ ytitle(Percentage-point change, size(large))  						  /*
	*/ blabel(total, format(%12.1fc) size(medsmall)) 						  /*
	*/ legend(off) $graph_options
	gr export "${out_ch2}/Ch2_Fig2_4.wmf", replace 

	