/*******************************************************************************
*	Figure 3.1: Globally, an average school-age child lost about one year of 
	in-person schooling
	Variations (weeks) in school closures, by region and for selected countries, 
	March 2020–March 2022
	* Margarita Isaacs
*******************************************************************************/

	use "${dt_ch3}/Data_School_Closures.dta", replace 

	*Panel A 
graph bar full_partial_weeks [aw=sum_pop_5_14] , 						 	/*
 */ over(WBRegion,label(labsize(*1.5)) sort(full_partial_weeks) descending) /*
 */ bar(1, color($cemerald ) ) bar(2, color("101 188 160") )   stack 		/*
 */ ytitle("Weeks", size(large))  ylabel(0(20)60, labsize(large) grid) 		/*
 */ blabel(bar, position(center) color(white) format(%3.0f) size(medium) ) 	/*
 */ nofill bargap(10) ysc(r(0 40)) yline(37, lcolor($cred ) ) 				/*
 */ title("a.	Region-level variations in school closures ", color(black)) /*
 */ legend(label(1 "Fully Closed") label(2 "Partially closed") 				/*
 */ label(3 "Fully Open") size(vsmall) position(6) rows(1)) 
	
	gr export "${out_ch3}/Ch3_Fig3_1_PanelA.wmf", replace 

	
	* Panel B
	
	* Keep selected countries
	keep if inlist(CountryID,"BGD","PAK","IND") | 	/*
	*/ inlist(CountryID,"PHL","IDN","VNM") | 		/*
	*/ inlist(CountryID,"TUR","AZE","BGR") | 		/*
	*/ inlist(CountryID,"URY","BRA","HND") | 		/*
	*/ inlist(CountryID,"MAR","EGY","SAU") | 		/*
	*/ inlist(CountryID,"TZA","ETH","UGA") 
	
	sort close_weeks
	replace WBRegion="ECA" if CountryID=="TUR"
	replace Country = "Egypt, Arab Rep." if Country == "Egypt"
	replace Country = "Türkiye" if Country == "Turkey"


	graph hbar full_partial_weeks [aw=sum_pop_5_14] , /*
	*/ over(Country,label(labsize(medlarge)) sort(full_partial_weeks) descending) /*
	*/ bar(1, color($cemerald)) bar(2, color("101 188 160") )    stack /*
	*/	over(WBRegion, label(labsize(medlarge) angle(90)) /*
	*/sort(close_percent) descending) /*
	*/ ytitle("Weeks", size(large))  ylabel(0(20)80, labsize(large)) /*
	*/ blabel(off) legend(label(1 "Fully Closed") label(2 "Partially Closed") /*
	*/ size(medium) position(6) row(1)) nofill  bargap(10) ysc(r(0 80)) /*
	*/  title("b. Country-level variations in school closures")
	gr export "${out_ch3}/Ch3_Fig3_1_PanelB.wmf", replace 
