/*******************************************************************************
*	Figure 3.2: COVID 19 school closures had limited impacts on dropouts in middle income countries but negative impacts in lower income countries 
	* Margarita Isaacs
*******************************************************************************/
	use "${dt_ch3}/Enrollment Predictions.dta", replace 

	
global graph_options "graphregion(color(white) margin(vsmall)) xsize(7.5) ysize(3) "
global legend_options "region(lcolor(white) margin(medium))  symxsize(*.5) pos(6) size(medium) rows(1)"


* Date adjustments 
replace dateq = yq(year,1) if country == "Ethiopia" 
replace dateq = yq(year,1) if country == "Indonesia" 


label define dat 241 "2020:Q2" 242 "2020:Q3" 244 "2021:Q1" 246 "2021:Q3"  247 "2021:Q4" 248 "2021"
label values dateq dat
 
* Relevant countries 
gen panel = (country== "Ethiopia" | country== "Pakistan" | country== "Indonesia" | country== "SouthAfrica"  | country== "Colombia" | country== "Brazil"| country== "Mexico" | country== "Argentina" | country== "Uruguay" ) 

* graph order
gen order = 1 if country== "Ethiopia"
replace order = 2  if country== "Pakistan"
replace order = 3  if country== "Indonesia"
replace order = 4  if country== "SouthAfrica"
replace order = 5  if country== "Colombia"
replace order = 6  if country== "Brazil"
replace order = 7  if country== "Mexico"
replace order = 8  if country== "Argentina"
replace order = 9  if country== "Uruguay"

* School closures indicator based on UNESCO data
gen open = .
replace open = 1 if country== "Ethiopia" &  year == 2021 
replace open = 1  if country== "Pakistan" &  (dateq == yq(2021,1)  | dateq >= yq(2022,1) )
replace open = 1  if country== "Indonesia" &  dateq >= yq(2020,4) 
replace open = 1  if country== "SouthAfrica" &  dateq >= yq(2020,4) 
replace open = 1  if country== "Colombia" &  dateq >= yq(2021,1) 
replace open = 1  if country== "Brazil" &  dateq >= yq(2021,2) 
replace open = 1  if country== "Mexico" &  dateq >= yq(2021,4) 
replace open = 1  if country== "Argentina" &  dateq >= yq(2020,4) 
replace open = 1  if country== "Uruguay" &  dateq >= yq(2020,2) 

br pp_d_enroll_6_14 dateq if country == "Ethiopia"
graph bar pp_d_enroll_6_14  if ( panel==1 & open ==1 ) ,  /*
	*/ over(country, label(labsize(medium) ) sort(order))								  /*
	*/ bar(1, color(${cemerald}))  bar(2, color($cgreen))					  /*
	*/ ylab( -15(5)10, labsize(medium) nogrid) nofill 						  /*
	*/ ytitle(Percentage-point change, size(large))  						  /*
	*/ blabel(total, format(%12.1fc) size(medsmall)) 						  /*
	*/ legend(off) $graph_options
	gr export "${out_ch3}/Ch3_Fig3_2.wmf", replace 

	