/*******************************************************************************
*	Figure 3.3: Dropout rates are higher for households with low educaitonal levels
	* Margarita Isaacs
*******************************************************************************/
	use "${dt_ch3}/Enrollment Predictions.dta", replace 

	
global graph_options "graphregion(color(white) margin(vsmall)) xsize(7.5) ysize(3) "
global legend_options "region(lcolor(white) margin(medium))  symxsize(*.5) pos(6) size(medium) rows(1)"


* Date adjustments 
replace dateq = yq(year,1) if country == "Indonesia" 


label define dat 241 "2020:Q2" 242 "2020:Q3" 244 "2021:Q1" 246 "2021:Q3"  247 "2021:Q4" 248 "2021"
label values dateq dat
 
* Relevant countries 
gen panel = ( country== "Indonesia" | country== "SouthAfrica" |  country== "Mexico" | country== "Pakistan"  ) 

* graph order
gen order = 1 if country== "Indonesia"
replace order = 2  if country== "Mexico"
replace order = 3  if country== "Pakistan"
replace order = 4  if country== "SouthAfrica"

* School closures indicator based on UNESCO data
* School closures indicator based on UNESCO data
gen open = .
replace open = 1 if country== "Ethiopia" &  year == 2021 
replace open = 1  if country== "Pakistan" & dateq >= tq(2021q1) & dateq <= tq(2021q2)
replace open = 1  if country== "Indonesia" &  dateq >= yq(2020,4) 
replace open = 1  if country== "SouthAfrica" &  dateq >= yq(2020,4) 
replace open = 1  if country== "Colombia" &  dateq >= yq(2021,1) 
replace open = 1  if country== "Brazil" &  dateq >= yq(2021,2) 
replace open = 1  if country== "Mexico" & dateq >= tq(2021q2) & dateq <= tq(2021q4) 
replace open = 1  if country== "Argentina" &  dateq >= yq(2020,4) 
replace open = 1  if country== "Uruguay" &  dateq >= yq(2020,2) 

replace year = year(dofq(dateq))

graph bar pp_d_enroll_6_14_ses1_m pp_d_enroll_6_14_ses2_m pp_d_enroll_6_14_ses3_m  if ( panel==1 & open ==1 ) ,  /*
	*/ over(country, label(labsize(medium) ) sort(order))								  /*
	*/ bar(1, color(${cemerald}))  bar(2, color($cgreen))	bar(3, color($cbrown))				  /*
	*/ ylab( -15(5)10, labsize(medium) nogrid) nofill 						  /*
	*/ ytitle(Percentage-point change, size(large))  						  /*
	*/ blabel(total, format(%12.1fc) size(medsmall)) 						  /*
	*/ legend(off) $graph_options title("a. Boys")
	gr export "${out_ch3}/Ch3_Fig3_3_PanelA.wmf", replace 

graph bar pp_d_enroll_6_14_ses1_f pp_d_enroll_6_14_ses2_f pp_d_enroll_6_14_ses3_f  if ( panel==1 & open ==1 ) ,  /*
	*/ over(country, label(labsize(medium) ) sort(order))								  /*
	*/ bar(1, color(${cemerald}))  bar(2, color($cgreen))	bar(3, color($cbrown))				  /*
	*/ ylab( -15(5)10, labsize(medium) nogrid) nofill 						  /*
	*/ ytitle(Percentage-point change, size(large))  						  /*
	*/ blabel(total, format(%12.1fc) size(medsmall)) 						  /*
	*/ legend(off) $graph_options title("b. Girls")
	gr export "${out_ch3}/Ch3_Fig3_3_PanelB.wmf", replace 
	
	
