********************************************************************************
* By: Margarita Isaacs 
*  Figure 4.2 
*******************************************************************************
*---------------------------------------------------------------------
* EMPLOYMENT BY AGE GROUP
* Figure 4.2.  Youth employment fell proportionately more than adult 
* employment during the pandemic  
*---------------------------------------------------------------------

use "$dt_ch4/Labor Predictions.dta", replace 

global graph_options "graphregion(color(white) margin(vsmall)) xsize(7.5) ysize(3) "
global legend_options "region(lcolor(white) margin(medium))  symxsize(*.5) pos(6) size(medium) rows(1)"


* Date adjustments 
replace dateq = yq(year,1) if country == "Ethiopia" 
replace dateq = yq(2022,1) if country == "Ethiopia" & dateq==yq(2021,1) 
replace dateq = yq(2020,2) if dateq == yq(2020,3) & country == "Pakistan"
replace dateq = yq(2021,4) if dateq == yq(2021,3) & country == "India"

label define dat 241 "2020:Q2" 242 "2020:Q3" 244 "2021:Q1" 246 "2021:Q3"  247 "2021:Q4" 248 "2021"
label values dateq dat
 
* divide data in 2 panels 
gen panel = (country== "Brazil" | country== "Bulgaria" | country== "Ethiopia" | country== "India"  | country== "Jordan" | country== "Mexico" ) 

graph bar pp_d_empr_yo  if (dateq == yq(2020,2) | dateq == yq(2021,1) | 	  /*
	*/ dateq == yq(2021,4) | (country == "Ethiopia" & dateq == yq(2022,1)))   /*
	*/ & panel == 1 , 														  /*
	*/ over(dateq, label(angle(90) labsize(medium)) ) 						  /*
	*/ over(country, label(labsize(medium) ) )								  /*
	*/ bar(1, color(${cemerald}))  bar(2, color($cgreen))					  /*
	*/ ylab( -15(5)10, labsize(medium) nogrid) nofill 						  /*
	*/ ytitle(Percentage-point change, size(large))  						  /*
	*/ blabel(total, format(%12.0fc) size(medsmall)) 						  /*
	*/ legend(off) $graph_options

	gr export "${out_ch4}/Ch4_Fig4_2A_Employmetn_Youth_vs_adults.wmf", replace 

gen empty =.
graph bar pp_d_empr_yo  empty/*
	*/ if (dateq == yq(2020,2) | dateq == yq(2021,1) | dateq == yq(2021,4) | 	  /*
	*/ (country == "Ethiopia" & dateq == yq(2022,1))) & panel == 0 ,		  /*
	*/ over(dateq, label(angle(90) labsize(medium)) ) 						  /*
	*/ over(country, label(labsize(medium) ) ) 								  /*
	*/ bar(1, color(${cemerald}))  bar(2, color(edkblue)) 					  /*
	*/ ylab( -15(5)10, labsize(medium) nogrid) nofill 						  /*
	*/ ytitle(Percentage-point change , size(large))  						  /*
	*/ blabel(total, format(%12.0fc) size(medsmall)) 						  /*
	*/ legend(order(1  "Youth employment (15–24)") 							  /*
	*/  $legend_options ) $graph_options
	
	

	gr export "${out_ch4}/Ch4_Fig4_2B_Employmetn_Youth_vs_adults.wmf", replace 	

	