	
*---------------------------------------------------------------------
* NEETS
* Figure 4.5.  The  evolution of youth employment and enrollment rates varied 
* across countries during the pandemic
* Author> Margarita Isaacs 
*---------------------------------------------------------------------
global legend_options "region(lcolor(white) margin(medium))  symxsize(*.8) pos(6) size(medium) rows(1)"
global graph_options "graphregion(color(white) margin(vsmall)) xsize(8) ysize(3)  "
		
	
use "$dt_ch4/Labor Predictions.dta", replace 

label define dat 241 "2020:Q2" 242 "2020:Q3" 243 "2020:Q4" 244 "2021:Q1" ///
245 "2021:Q2" 246 "2021:Q3"  247 "2021:Q4" 248 "2022:Q1" 250 "2021" 
label values dateq dat
	
	
replace dateq = yq(year , 1 ) if country == "Ethiopia"
replace dateq = yq(2022,1) if country == "Ethiopia" & dateq==yq(2021,1) 
replace dateq = yq(2020,2) if dateq ==yq(2020,3) & country == "Pakistan"
replace dateq = . if dateq ==yq(2021,2) & country != "Pakistan" & country != "Philippines"


replace country = "South Africa" if country == "SouthAfrica"
drop if country != "Brazil" & country != "Ethiopia"  & country != "Mexico"  & country != "Pakistan" & country != "South Africa"   & country != "Vietnam" 


gen open = ( dateq == yq(2021,1) & (country == "South Africa" | country == "Vietnam" | country == "Pakistan")) 
replace open = 1 if  ( dateq == yq(2021,4) & country != "Philippines" ) 
replace open = 1 if  ( dateq == yq(2022,1) &  country == "Ethiopia" ) 
gen pp_d_neetr_f_yo_o = pp_d_neetr_f_yo if open == 1 
gen pp_d_neetr_f_yo_c = pp_d_neetr_f_yo if open == 0 
	
gen pp_d_neetr_m_yo_o = pp_d_neetr_m_yo if open == 1 
gen pp_d_neetr_m_yo_c = pp_d_neetr_m_yo if open == 0 
	
gen p_d_neetr_f_yo_o = p_d_neetr_f_yo if open == 1 
gen p_d_neetr_f_yo_c = p_d_neetr_f_yo if open == 0 
	
gen p_d_neetr_m_yo_o = p_d_neetr_m_yo if open == 1 
gen p_d_neetr_m_yo_c = p_d_neetr_m_yo if open == 0 
	
gen pp_d_neetr_yo_o = pp_d_neetr_yo if open == 1 
gen pp_d_neetr_yo_c = pp_d_neetr_yo if open == 0 

gen p_d_neetr_yo_o = p_d_neetr_yo if open == 1 
gen p_d_neetr_yo_c = p_d_neetr_yo if open == 0 
	
gen pp_d_neetr_c = pp_d_neetr if open == 0 
gen pp_d_neetr_o = pp_d_neetr if open == 1 

gen grid = . 
graph bar  pp_d_neetr_yo_c pp_d_neetr_yo_o grid 							 /*
	*/ if (dateq == yq(2020,2) | dateq == yq(2021,1) | dateq == yq(2021,4)	 /*
	*/ | (dateq == yq(2022,1) & country== "Ethiopia")) ,												 /*
	*/ over(dateq, label(angle(90) labsize(medsmall)) )						 /*
	*/ over(country, label(labsize(medium) ) ) nofill						 /*
	*/ bar(1, color(${cemerald})) 											 /*
	*/ bar(2, color(${cemerald})  lcolor(black) lpattern(dash) lw(*2)) 		 /*
	*/ bar(3, color(none)  lcolor(black) lpattern(dash) lw(*2)) 			 /*
	*/ ylab( -20(5)15, labsize(medium) nogrid)  yline(0)					 /*
	*/ ytitle(Percentage points, size(medium)) 							 	 /*
	*/ blabel(total, format(%12.0fc) size(small) )							 /*
	*/ legend(order(1  "Share of NEETs"										 /*
	*/ 3 "At least 2-6 months since schools reopen")						 /*
	*/	$legend_options)   $graph_options 
	
graph export "${out_ch4}/Ch4_Fig4_5_PanelA_NEET.wmf", replace 

	
graph bar  pp_d_neetr_m_yo_c pp_d_neetr_m_yo_o 								 /*
	*/ pp_d_neetr_f_yo_c pp_d_neetr_f_yo_o grid 							 /*
	*/ if (dateq == yq(2020,2) | dateq == yq(2021,1) | 						 /*
	*/ dateq == yq(2021,4) | (dateq == yq(2022,1) & country== "Ethiopia")) , /*
	*/ over(dateq, label(angle(90) labsize(medsmall)) )						 /*
	*/ over(country, label(labsize(medium) ) ) nofill 						 /*
	*/ bar(1, color($cbrown)) 												 /*
	*/ bar(2, color($cbrown)  lcolor(black) lpattern(dash) lw(*2))  		 /*
	*/ bar(3, color($cpink))  												 /*
	*/ bar(4, color($cpink)  lcolor(black) lpattern(dash) lw(*2))			 /*
	*/ bar(5, color(none)  lcolor(black) lpattern(dash) lw(*2))				 /*
	*/ ylab( -20(5)15, labsize(medium) nogrid) yline(0)					     /*
	*/ ytitle(Percentage-point change, size(medium))						 /*
	*/ blabel(total, format(%12.0fc) size(small) )							 /*
	*/ legend(order(1  "Youth male NEETs" 									 /*
	*/ 3 "Youth female NEETs"												 /*
	*/ 5 "At least 2-6 months since schools reopen") 						 /*
	*/	$legend_options) $graph_options 	
		

graph export "${out_ch4}/Ch4_Fig4_5_PanelB_NEET - sex.wmf", replace 