*------------------------------------------------------------------
* COUNTRY TYPOLOGY
* Figure 4.6 to 4.8 COUNTRY TYPOLOGY
*-----------------------------------------------------------------
global legend_options "region(lcolor(white) margin(medium))  symxsize(*.8) pos(6) size(medium) rows(1)"
global graph_options "graphregion(color(white) margin(vsmall)) xsize(4) ysize(3) "
		
	


use "$dt_ch4/Labor Predictions.dta", replace 

label define dat 241 "2020:Q2" 242 "2020:Q3" 244 "2021:Q1" 246 "2021:Q3"  247 "2021:Q4" 248 "2021"
	label values dateq dat
	 
gen case = 1 if country == "Bulgaria" | country == "SouthAfrica"  | country == "Vietnam" 
replace case = 2 if country == "Jordan" | country == "India"  | country == "Philippines" 
replace case = 3 if country == "Brazil" | country == "Mexico"  | country == "Morocco" | country == "Turkiye" 


	*-------------------------------------------------
	* No recovery in either youth or adult employment 
	*-------------------------------------------------

	tw  (line d_empr_yo dateq, lp(solid) lc("26 161 187") lw(*2))			 /*
	*/ 	(line y_hat_d_empr_yo dateq, lp(dash) lc("26 161 187") lw(*1.5))	 /*
	*/  (line d_empr_ad dateq, lp(solid) lc("182 145 108") lw(*1.5))		 /*
	*/ 	(line y_hat_d_empr_ad dateq, lp(dash) lc("182 145 108") lw(*1.5))	 /*
	*/  if country == "SouthAfrica" , 										 /*
	*/	legend(pos(6) rows(3) order(1 "Youth employment (ages 15–24)"		 /*
	*/	2 "Predicted" 3 "Adult employment (ages 25–64)" 4 "Predicted")		 /*
	*/ 	size(medium) symxsize(medium) )										 /*
	*/	xline( `=yq(2020, 1)', lcolor(${corange}) lwidth(*1))				 /*
	*/	ytitle("Employment rate", size(medium)) xtitle("") 					 /*
	*/	xlabel(`=yq(2011, 2)' "2011: Q2" `=yq(2013, 2)' 					 /*
	*/ "2013: Q2" `=yq(2015, 2)' "2015: Q2" `=yq(2017, 2)' 					 /*
	*/ "2017: Q2" `=yq(2019, 2)' "2019: Q2" `=yq(2021, 2)'					 /*
	*/ "2021: Q2", labsize(medium) nogrid angle(90)) 						 /*
	*/	ylab(0(20)100, nogrid labsize(medium))								 /*
	*/	title("a. South Africa, ""2011:Q2–2021:Q2", size(vlarge) ) 			 /*
	*/	graphregion(fcolor(white)) $graph_options
		
	gr export "${out_ch4}/Ch4_Fig4_6A_Employmetn_Youth_vs_adults.wmf", replace 


	graph bar pp_d_empr_yo pp_d_empr_ad 									 /*
	*/ if (dateq == yq(2020,2) | dateq == yq(2021,1) | dateq == yq(2021,4) 	 /*
	*/ | (country == "Ethiopia" & dateq == yq(2022,1))) & case == 1 ,		 /*
	*/ over(dateq, label(angle(90) labsize(medium)) )						 /*
	*/ over(country, label(labsize(medium) ) )								 /*
	*/ bar(1, color("26 161 187"))  bar(2, color("182 145 108"))			 /*
	*/ ylab( -15(5)10, labsize(medium) nogrid) nofill						 /*
	*/ ytitle(Percentage-point change, size(large)) 						 /*
	*/ blabel(total, format(%12.0fc) size(medsmall))						 /*
	*/ legend(label(1  "Youth employment (ages 15–24)")						 /*
	*/ label(2 "Adults employment (ages 25–64)")							 /*
	*/ $legend_options) $graph_options										 /*
	*/ title("b.  Bulgaria, South Africa, and Vietnam, ""2020:Q2–2021:Q4") 
		

	gr export "${out_ch4}/Ch4_Fig4_6B_CountryGroup1.wmf", replace 


