
*---------------------------------------------------------------------
* Margarita Isaacs
* SIMULATION SCENARIOS 
* Figure 4.4.Youth employment rate and wages  
*---------------------------------------------------------------------


clear 
set obs 200
gen time = _n

gen wage = time*1000000 + time*200000
gen wage2 = time*700000 + time*200000

gen lg_wage=ln(wage)
br
gen e1 = lg_wage+1
gen time2= time+30
gen e2 = lg_wage
gen e3 = ln(wage2) -.8
gen y = 14 

* Scenario 1: Postponed Labor market entry without additional schooling 
	
tw 		(line lg_wage time if time<180, lwidth(*2) lcolor("26 161 187")) /*
	*/ 	(line e2 time2 if time2<180, lwidth(*2) lcolor("239 165 100")) , /*
	*/ 	legend( off) 													 /*
	*/ 	xlab( 0 " " 50 " " 100 " " 150 " " 200 " ", nogrid) 			 /*
	*/ 	xtitle("Time since beginning of the pandemic", size(large)) 	 /*
	*/ 	ytitle("Wages", size(large)) 									 /*
	*/ 	ylab(12 " " 14 " " 16 " " 18 " " 20 " " , nogrid) /*
	*/ 	xsize(5) ysize(5) /*
	*/ 	text( 19  180 "Baseline""(no pandemic)" , box lcolor(none) /*
	*/ 	bcolor(edkblue%20) size(small) place(se)) /*
	*/ 	text( 19.3  180 "One lost year of""work experience" , box lcolor(none) /*
	*/ 	bcolor(edkblue%20) size(small) place(ne) j(left)) /*
	*/ 	plotregion(margin(vlarge)) /*
	*/ 	subtitle("b. Postponed labor market entry""without additional schooling "/*
	*/  "(Scenario 2)", size(vlarge))  name(sc2, replace)
	
gr export "${out_ch4}/Ch4_FigBox4_1_PanelB_Simulations_Noexperience.wmf", replace 
	
* Scenario 2: Postponed Labor Market entry with additional Schooling 
tw (line  lg_wage time if time<180, lwidth(*2) lcolor("26 161 187")) /*
	*/  (line e1 time2 if  time2 <180, lwidth(*2) lcolor("239 165 100")) , /*
	*/ 	legend(off) /*
	*/ 	xlab( 0 " " 50 " " 100 " " 150 " " 200 " ", nogrid) /*
	*/ 	xtitle("Time since beginning of the pandemic", size(large)) /*
	*/ 	ytitle("Wages", size(large)) /*
	*/ 	ylab(12 " " 14 " " 16 " " 18 " " 20 " " , nogrid) xsize(5) ysize(5) /*
	*/ 	text( 19.2  180 "Baseline""(no pandemic)" , box lcolor(none) /*
	*/ 	bcolor(edkblue%20) size(small) place(se)) /*
	*/ 	text( 20  180 "One more year""of schooling" , box lcolor(none) /*
	*/ 	bcolor(edkblue%20) size(small) place(e)) /*
	*/ 	plotregion(margin(large)) /*
	*/ 	subtitle("a. Postponed labor market entry""with additional schooling " /*
	*/ "(Scenario 1)", size(vlarge)) 	name(sc2, replace)
gr export "${out_ch4}/Ch4_FigBox4_1_PanelA_Simulations_Schooling.wmf", replace 

* Scenario 3: Scarring
	

gen e4 = 2+  ln(wage2)/ln(3.5) 

	tw (line lg_wage time if time<180 , lwidth(*2) lcolor("26 161 187")) /*
	*/ 	(line e3 time if time<180 , lwidth(*2) lcolor("239 165 100")) /*
	*/ 	(line e4 time if time<180 , lcolor("239 165 100") lpattern(dash) lwidth(*2))  /*
	*/ ,legend(off ) /*
	*/ 	xlab( 0 " " 50 " " 100 " " 150 " " 200 " ", nogrid) /*
	*/ 	xtitle("Time since beginning of the pandemic", size(large)) /*
	*/ 	ytitle("Wages", size(large)) /*
	*/ 	ylab(12 " " 14 " " 16 " " 18 " " 20 " " , nogrid) xsize(5) ysize(5) /*
	*/ 	text( 19.7  180 "Baseline""(no pandemic)" , box lcolor(none) /*
	*/ 	bcolor(edkblue%20) size(small) place(se)) /*
	*/ 	text( 18.3  180 "Lower starting""wage" , box lcolor(none) /*
	*/ 	bcolor(edkblue%20) place(e) size(*.75)) /*
	*/ 	text( 17  180 "Lower starting""wage and flatter""wage-experience" /*
	*/ " profile" , box lcolor(none) bcolor(edkblue%20) size(*.75) place(e) j(left)) /*
	*/ 	plotregion(margin(large)) /*
	*/ 	subtitle("c. Scarring""(Scenario 3)", size(vlarge))  name(sc3, replace)
	
	
gr export "${out_ch4}/Ch4_FigBox4_1_PanelC_Simulations_Scarring.wmf", replace 
